[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[shepherd] 01/01: tests: Do not fail when $HOME or $XDG_CONFIG_HOME are
From: |
Ludovic Courtès |
Subject: |
[shepherd] 01/01: tests: Do not fail when $HOME or $XDG_CONFIG_HOME are erroneous. |
Date: |
Tue, 26 Jan 2016 22:41:46 +0000 |
civodul pushed a commit to branch master
in repository shepherd.
commit 414f1eab23d1bd7c96dbf54aad3606636079f75c
Author: Ludovic Courtès <address@hidden>
Date: Tue Jan 26 23:40:20 2016 +0100
tests: Do not fail when $HOME or $XDG_CONFIG_HOME are erroneous.
* tests/sigint.sh: Specify --log. This is useful when $XDG_CONFIG_HOME
happens to be unusable.
---
tests/sigint.sh | 5 +++--
1 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/tests/sigint.sh b/tests/sigint.sh
index 253bf04..7354848 100644
--- a/tests/sigint.sh
+++ b/tests/sigint.sh
@@ -21,12 +21,13 @@ herd --version
socket="t-socket-$$"
conf="t-conf-$$"
+log="t-log-$$"
stamp="t-stamp-$$"
pid="t-pid-$$"
herd="herd -s $socket"
-trap "rm -f $socket $conf $stamp;
+trap "rm -f $socket $conf $stamp $log;
test -f $pid && kill \`cat $pid\` || true; rm -f $pid" EXIT
cat > "$conf"<<EOF
@@ -44,7 +45,7 @@ cat > "$conf"<<EOF
EOF
rm -f "$pid" "$stamp"
-shepherd -I -s "$socket" -c "$conf" --pid="$pid" &
+shepherd -I -s "$socket" -c "$conf" --pid="$pid" --log="$log" &
while [ ! -f "$pid" ] ; do sleep 0.5 ; done